Update wallet
Update wallet: change its label and/or make it the target wallet.
Authorization
Bearer OAuth access token.
In: header
Path Parameters
Identifier of the wallet.
uuidHeader Parameters
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Wallet update. Fields are applied independently; an absent field is unchanged. At least one field must be provided.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "name": "EUR settlement", "isTargetWallet": true }'{ "id": "6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6", "name": "EUR settlement", "type": "FIAT", "status": "ACTIVE", "currency": "EUR", "balance": "48250.75", "beneficiary": { "name": "Acme Ltd", "accountIdentifiers": { "iban": "GB29NWBK60161331926819", "swiftBic": "BARCGB22" }, "bank": { "name": "Barclays Bank UK PLC" } }, "isTargetWallet": true, "createdAt": "2026-06-09T14:05:12+00:00", "updatedAt": "2026-08-01T09:00:00+00:00"}